#### Previous topic

scipy.stats.ansari

#### Next topic

scipy.stats.levene

# scipy.stats.bartlett

`scipy.stats.``bartlett`(*args)

  Perform Bartlett’s test for equal variances

  Bartlett’s test tests the null hypothesis that all input samples are from populations with equal variances. For samples from significantly non-normal populations, Levene’s test `levene` is more robust.

  Parameters:

  sample1, sample2,... : array_like

  > arrays of sample data. May be different lengths.

  Returns:

  statistic : float

  > The test statistic.

  pvalue : float

  > The p-value of the test.

  See also

  `fligner`
    A non-parametric test for the equality of k variances
  `levene`
    A robust parametric test for equality of k variances

  Notes

  Conover et al. (1981) examine many of the existing parametric and nonparametric tests by extensive simulations and they conclude that the tests proposed by Fligner and Killeen (1976) and Levene (1960) appear to be superior in terms of robustness of departures from normality and power [R375].

  References

  [R373] | http://www.itl.nist.gov/div898/handbook/eda/section3/eda357.htm

  [R374] | Snedecor, George W. and Cochran, William G. (1989), Statistical Methods, Eighth Edition, Iowa State University Press.

  [R375] | (1, 2) Park, C. and Lindsay, B. G. (1999). Robust Scale Estimation and Hypothesis Testing based on Quadratic Inference Function. Technical Report #99-03, Center for Likelihood Studies, Pennsylvania State University.

  [R376] | Bartlett, M. S. (1937). Properties of Sufficiency and Statistical Tests. Proceedings of the Royal Society of London. Series A, Mathematical and Physical Sciences, Vol. 160, No.901, pp. 268-282.